---
# INFRA-700: add NGINX reverse proxy with SSL termination

version: '2'
services:
  bamboo_server:
    build: .
    network_mode: "bridge"
    restart: unless-stopped
    volumes:
      - "{{volume_mount_point}}:/home/bamboo"
      - "/etc/ssl/certs/java:/etc/pki/java"
    ports:
      - "80:8085"
      - "54663:54663"
    environment:
      - "JAVA_OPTS=-Duser.timezone=America/Los_Angeles"
      - "JVM_MINIMUM_MEMORY={{bamboo_jvm_min_memory}}"
      - "JVM_MAXIMUM_MEMORY={{bamboo_jvm_max_memory}}"
